# License

## Source Code

This project's source code is licensed under the **Apache 2.0** license.

This license allows you to use `mkdocstrings-python-betterrefs` in any project, regardless of it's license (including a
proprietary one). You can change the code, distribute it or even use it for commercial purposes. That said, if you wish
to do either of these, you are required to include a copyright notice, the license fulltext and state any significant
changes made to the software; include a `NOTICE` file with the attribution notes.

!!! tip

    If you want to see a quick glance of what this license allows, prohibits & requires, check it out in [tl;dr
    legal][tldr-apache2].

??? example "Full LICENSE text"

    ```title="LICENSE.txt"
    --8<-- "LICENSE.txt"
    ```

!!! note

    If you need a copyright header for attribution, you can use:

    === "Rendered"

        <a href="https://github.com/ItsDrike/mkdocstrings-python-betterrefs">mkdocstrings-python-betterrefs</a>

        Copyright &copy; 2022-2023 Analog Devices, Inc.<br>
        Copyright &copy; 2025 ItsDrike &lt;itsdrike@protonmail.com&gt;

    === "HTML"

        ```html
        <a href="https://github.com/ItsDrike/mkdocstrings-python-betterrefs">mkdocstrings-python-betterrefs</a>

        Copyright &copy; 2022-2023 Analog Devices, Inc.<br>
        Copyright &copy; 2025 ItsDrike &lt;itsdrike@protonmail.com&gt;
        ```

## This documentation

This documentation itself follows a Creative Commons license: <a href="https://creativecommons.org/licenses/by-nc-sa/4.0/">CC BY-NC-SA 4.0</a> <img style="height:22px!important;margin-left:3px;vertical-align:text-bottom;" src="https://mirrors.creativecommons.org/presskit/icons/cc.svg?ref=chooser-v1" alt=""><img style="height:22px!important;margin-left:3px;vertical-align:text-bottom;" src="https://mirrors.creativecommons.org/presskit/icons/by.svg?ref=chooser-v1" alt=""><img style="height:22px!important;margin-left:3px;vertical-align:text-bottom;" src="https://mirrors.creativecommons.org/presskit/icons/nc.svg?ref=chooser-v1" alt=""><img style="height:22px!important;margin-left:3px;vertical-align:text-bottom;" src="https://mirrors.creativecommons.org/presskit/icons/sa.svg?ref=chooser-v1" alt="">

!!! note

    If you need a copyright header for proper attribution, you can use:

    === "Rendered"

        <a href="https://itsdrike.github.io/mkdocstrings-python-betterrefs">mkdocstrings-python-betterrefs documentation</a> &copy; 2025 by <a href="mailto:itsdrike@protonmail.com">ItsDrike</a>

        If you also need the license identifier, use the following:

        <a href="https://creativecommons.org/licenses/by-nc-sa/4.0/">CC BY-NC-SA 4.0</a> <img style="height:22px!important;margin-left:3px;vertical-align:text-bottom;" src="https://mirrors.creativecommons.org/presskit/icons/cc.svg?ref=chooser-v1" alt=""><img style="height:22px!important;margin-left:3px;vertical-align:text-bottom;" src="https://mirrors.creativecommons.org/presskit/icons/by.svg?ref=chooser-v1" alt=""><img style="height:22px!important;margin-left:3px;vertical-align:text-bottom;" src="https://mirrors.creativecommons.org/presskit/icons/nc.svg?ref=chooser-v1" alt=""><img style="height:22px!important;margin-left:3px;vertical-align:text-bottom;" src="https://mirrors.creativecommons.org/presskit/icons/sa.svg?ref=chooser-v1" alt="">

    === "HTML"

        ```html
        <a href="https://itsdrike.github.io/mkdocstrings-python-betterrefs">mkdocstrings-python-betterrefs documentation</a> &copy; 2025 by <a href="mailto:itsdrike@protonmail.com">ItsDrike</a>
        ```

        If you also need the license identifier, use the following:

        ```html
        <a href="https://creativecommons.org/licenses/by-nc-sa/4.0/">CC BY-NC-SA 4.0</a> <img style="height:22px!important;margin-left:3px;vertical-align:text-bottom;" src="https://mirrors.creativecommons.org/presskit/icons/cc.svg?ref=chooser-v1" alt=""><img style="height:22px!important;margin-left:3px;vertical-align:text-bottom;" src="https://mirrors.creativecommons.org/presskit/icons/by.svg?ref=chooser-v1" alt=""><img style="height:22px!important;margin-left:3px;vertical-align:text-bottom;" src="https://mirrors.creativecommons.org/presskit/icons/nc.svg?ref=chooser-v1" alt=""><img style="height:22px!important;margin-left:3px;vertical-align:text-bottom;" src="https://mirrors.creativecommons.org/presskit/icons/sa.svg?ref=chooser-v1" alt="">
        ```

## Fork NOTICE

Note that this project itself is a fork of [`mkdocstrings-python-xref`][mkdocstrings-python-xref] and it is distributed
under the same (Apache 2.0) license (fulltext of this license was already shown above). As such, it is required to
include a `NOTICE` file detailing the changes made in this fork. The full text of the `NOTICE` file, which is included
below, lists these modifications.

??? example "Full NOTICE text"

    ```markdown title="NOTICE.md"
    --8<-- "NOTICE.md"
    ```

[mkdocstrings-python-xref]: https://github.com/analog-garage/mkdocstrings-python-xref
[tldr-apache2]: https://www.tldrlegal.com/license/apache-license-2-0-apache-2-0
